Get Vessels in port
GET /ports/{unlocode}/vessels-in-port on the Ports Intelligence API. Base URL: https://api.sinay.ai/ports-intelligence/api/v1.
Retrieve a list of vessels currently in the specified port
Path parameters
Responses
Body: application/json, array of object.
| Field | Type | Required | Description |
|---|---|---|---|
[].name | string, nullable | No | Vessel name. |
[].imo | string, nullable | No | International Maritime Organization number. |
[].mmsi | string | No | Maritime Mobile Service Identity. |
[].shipType | string, nullable | No | Type of ship. |
[].id | string | No | Veesel's id. |
Example response body:
[
{
"name": "CMA CGM COLUMBA",
"imo": 9410789,
"mmsi": 215249000,
"shipType": "Cargo",
"id": "c038b31f-ad40-3ef1-93aa-a6151330d833"
}
]